Ads and Commerce
Ads and Commerce
Resources

Business Owned Ad Accounts

Updated: Feb 24, 2026

Reading

Information about this business’s ad accounts.
At the end of September 2024, the POST /{pixel-id}/shared_accounts API (including previous versions) will not support sharing of pixels with an ad account, if a business account does not have access to both pixel and ad account. Refer to the pixel sharing API solution to use POST /{pixel-id}/agencies or use POST {ad_account}/agencies to share into a business account, then use POST /{pixel-id}/shared_accounts to link pixel and ad account

Example

GET /v25.0/{business-id}/owned_ad_accounts HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
search_query
string
search_query

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdAccount nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
Field Description
total_count
int32
Total number of accounts for this business.

default

Error Codes

Error Code Description
100
Invalid parameter
80004
There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management.
190
Invalid OAuth 2.0 Access Token
368
The action attempted has been deemed abusive or is otherwise disallowed
200
Permissions error
104
Incorrect signature
2635
You are calling a deprecated version of the Ads API. Please update to the latest version.
2500
Error parsing graph query

Creating

/{business_id}/owned_ad_accounts

You can make a POST request to owned_ad_accounts edge from the following paths:
When posting to this edge, an AdAccount will be created.

Parameters

Parameter Description
adaccount_id
string
Ad account ID.
required

Return Type

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct  {
access_status: string,
}

Error Codes

Error Code Description
3979
You have exceeded the number of allowed ad accounts for your Business Manager at this time.
3994
Personal accounts that do not have any history of activity are not eligible for migration to a business manager. Instead create an ad account inside your business manager.
100
Invalid parameter
3980
One or more of the ad accounts in your Business Manager are currently in bad standing or in review. All of your accounts must be in good standing in order to create new ad accounts.
415
Two factor authentication required. User have to enter a code from SMS or TOTP code generator to pass 2fac. This could happen when accessing a 2fac-protected asset like a page that is owned by a 2fac-protected business manager.
3936
You’ve already tried to claim this ad account. You’ll see a notification if your request is accepted.
368
The action attempted has been deemed abusive or is otherwise disallowed
3944
Your Business Manager already has access to this object.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon